Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching.sourcelookup
Class LocalFileStorage

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.sourcelookup.containers.LocalFileStorage
              org.eclipse.jdt.launching.sourcelookup.LocalFileStorage

All Implemented Interfaces:
  IAdaptable, IStorage

Deprecated. In 3.0 this class is now provided by the debug platform. Clients should use the replacement class `org.eclipse.debug.core.sourcelookup.containers.LocalFileStorage`

public class LocalFileStorage
extends LocalFileStorage

Implementation of storage for a local file (`java.io.File`).

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
See Also:
  `DirectorySourceLocation`, `IStorage`

Constructor Summary
`LocalFileStorage(File file)` Deprecated. Constructs and returns storage for the given file.

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.LocalFileStorage
`equals, getContents, getFile, getFullPath, getName, hashCode, isReadOnly`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### LocalFileStorage

    public LocalFileStorage(File file)

  Deprecated.
  Constructs and returns storage for the given file.

Parameters:
  `file` - a local file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.